%if 0%{?rhel} > 0 && 0%{?rhel} < 8
%global binname ipcalculator
%bcond_without ipcalculator
%else
%global binname ipcalc
%bcond_with ipcalculator
%endif

Name: ipcalc
Version: 0.1.6
Release: 4%{?dist}
Summary: IP network address calculator

# This is an updated version of ipcalc originally found
# in Fedora's initscripts at:
# https://fedorahosted.org/releases/i/n/initscripts/

License: GPLv2+
URL: https://github.com/nmav/ipcalc
Source0: https://github.com/nmav/ipcalc/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0: ipcalc-0.1.6-remove_geoip_silence.patch

BuildRequires: GeoIP-devel
%if 0%{?rhel} > 7
Recommends:    GeoIP
%endif

# Obsolete ipcalculator
Obsoletes:  ipcalculator < 0.41-20

# ipcalc conflicts with the ipcalc in intiscripts, so we rename this to
# ipcalculator to avoid conflicting.

%description
%{binname} provides a simple way to calculate IP information for a host
or network. Depending on the options specified, it may be used to provide
IP network information in human readable format, in a format suitable for
parsing in scripts, generate random private addresses, resolve an IP address,
or check the validity of an address.

%prep
%setup -q
%if 0%{?rhel} > 0 && 0%{?rhel} < 8
%patch0 -p1 -b.silence
%endif
%{?with_ipcalculator:%{__perl} -pi -e 's/ipcalc/ipcalculator/g; s/IPCALC/IPCALCULATOR/g' README.md ipcalc.1}

%build
# Fix broken linking in el6
%if 0%{?rhel} == 6
export LIBS=-lrt
%endif

CFLAGS="${CFLAGS:-%optflags}" LIBPATH=%{_libdir} %{__make} %{?_smp_mflags}
%{__make} check
%{?with_ipcalculator:%{__mv} ipcalc %{binname}}
%{__gzip} < ipcalc.1 > %{binname}.1.gz

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 %{binname} %{buildroot}%{_bindir}/
mkdir -p -m 755 %{buildroot}%{_mandir}/man1
install -p -m 644 %{binname}.1.gz %{buildroot}%{_mandir}/man1

%files

%{_bindir}/%{binname}
%license COPYING
%doc README.md
%{_mandir}/man1/%{binname}.1.gz

%changelog
* Sun Mar 13 2016 Peter Ajamian <pj@ghettoforge.org> - 0.1.6-4
- Added -lrt for el6 build

* Sun Mar 13 2016 Peter Ajamian <pj@ghettoforge.org> - 0.1.6-3
- Rebuild for el
- Changes to not conflict with ipcalc from initscripts
- Move make check to %build so it can come before we rename the bin
- gzip the man page
- Remove the GEOIP_SILENCE symbol for older versions of GeoIP

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec  8 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.6-1
- New upstream release

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-2
- Corrected issue on --all-info

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-1
- New upstream release

* Tue Oct  6 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.3-1
- New upstream release
- Prints GeoIP information on generic info

* Mon Sep 21 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-3
- This package obsoletes ipcalculator

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  9 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-1
- New upstream release

* Tue May 19 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.1-1
- Compatibility fixes (allow a mask of 0)

* Mon May 18 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.0-1
- First independent release outside initscripts
